Bug 427294 - snap creation on inactive lv causes an invaild and "100% full" snapshot
snap creation on inactive lv causes an invaild and "100% full" snapshot
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: lvm2 (Show other bugs)
5.2
All Linux
low Severity low
: rc
: ---
Assigned To: Milan Broz
Corey Marthaler
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-02 15:29 EST by Corey Marthaler
Modified: 2013-02-28 23:06 EST (History)
7 users (show)

See Also:
Fixed In Version: RHBA-2008-0378
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 11:39:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Marthaler 2008-01-02 15:29:04 EST
Description of problem:
This is the rhel5 version of bz 248449. Opening this bug since the fix is not
yet into a rhel5 build of lvm2.


[root@hayes-03 ~]# lvcreate -n origin -L 10G corey
  Logical volume "origin" created
[root@hayes-03 ~]# lvs -a -o +devices
  LV       VG         Attr   LSize  Origin Snap%  Move Log Copy%  Devices
  LogVol00 VolGroup00 -wi-ao 72.44G                               /dev/sda2(0)
  LogVol01 VolGroup00 -wi-ao  1.94G                               /dev/sda2(2318)
  origin   corey      -wi-a- 10.00G                              
/dev/etherd/e1.1p1(0)
[root@hayes-03 ~]# lvchange -an corey/origin
[root@hayes-03 ~]# lvcreate -s corey/origin -L 6G -n snap1
  Logical volume "snap1" created
[root@hayes-03 ~]# lvs -a -o +devices
  LV       VG         Attr   LSize  Origin Snap%  Move Log Copy%  Devices
  LogVol00 VolGroup00 -wi-ao 72.44G                               /dev/sda2(0)
  LogVol01 VolGroup00 -wi-ao  1.94G                               /dev/sda2(2318)
  origin   corey      owi--- 10.00G                              
/dev/etherd/e1.1p1(0)
  snap1    corey      Swi-I-  6.00G origin 100.00                
/dev/etherd/e1.1p2(0)
[root@hayes-03 ~]# rpm -q lvm2
lvm2-2.02.26-3.el5
Comment 1 RHEL Product and Program Management 2008-01-02 15:54:41 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 3 Milan Broz 2008-01-17 19:23:39 EST
In lvm2-2.02.30-1.el5.
Comment 5 Corey Marthaler 2008-03-31 14:38:59 EDT
Fix verified in lvm2-2.02.32-2.el5.

[root@hayes-03 ~]# lvscan
  inactive          '/dev/corey/origin' [12.00 MB] inherit
[root@hayes-03 ~]# lvcreate -s corey/origin -L 10M -n snap
  Rounding up size to full physical extent 12.00 MB
  Logical volume "snap" created
[root@hayes-03 ~]# lvs -a -o +devices
  LV       VG         Attr   LSize  Origin Snap%  Move Log Copy%  Convert Devices
  origin   corey      owi--- 12.00M                                      
/dev/etherd/e1.1p1(0)
  snap     corey      swi--- 12.00M origin                               
/dev/etherd/e1.1p2(0)
Comment 7 errata-xmlrpc 2008-05-21 11:39:44 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0378.html

Note You need to log in before you can comment on or make changes to this bug.